uniform vec2 iResolution;

float shadeeKulmat(vec2 pos){
	return sqrt(pos.x*pos.x + pos.y*pos.y);

}



void main(void)
{
	vec2 pos = gl_FragCoord.xy * 2.0 / iResolution.xy - 1.0;
	
	
	vec4 valkonen = vec4(1.);
	
	vec4 tummennus = vec4(shadeeKulmat(pos));
	
	gl_FragColor = valkonen-tummennus;
}